# Command: ofsopen

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    ofsopen - Open an existing file for appending or writing.

Synopsis:

    (name) (mode) ofsopen -> ofstreamhandle true
      -> false

Description:

      Open the named file according to the access mode. If the file
      is not existing, it will be created in the current working directory.
      If the file does exists, the access mode decides whether the file will
      be overwritten (w) or whether the new data will be appended (a).
      If successful an ofstream handle object and the boolean true is returned.
      In case of failure, only the boolean
      false is returned. This function provides a direct interface to the
      C++ ofstream constructor. SLI's search path mechanism is not used.

Parameters:

    (name)	- name of the file.
      (mode)	- string with either (w) or (a) to identify
      the access mode. (w) corresponds to writing
      and (a) to appending.

Remarks:

    commented 26.3.1999, Diesmann

SeeAlso:

- ofstream

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/sli/sli_io.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative